## org.eclipse.ocl.cst
Enum SimpleTypeEnum

    java.lang.Object
      java.lang.Enum<SimpleTypeEnum>
          org.eclipse.ocl.cst.SimpleTypeEnum

All Implemented Interfaces:
  Serializable, Comparable<SimpleTypeEnum>, Enumerator

    public enum SimpleTypeEnum

extends Enum<SimpleTypeEnum>
implements Enumerator

A representation of the literals of the enumeration 'Simple Type Enum', and utility methods for working with them.

See Also:
  `CSTPackage.getSimpleTypeEnum()`

Enum Constant Summary
`BOOLEAN_LITERAL` The 'Boolean' literal object
`IDENTIFIER_LITERAL` The 'Identifier' literal object
`INTEGER_LITERAL` The 'Integer' literal object
`INVALID_LITERAL` The 'Invalid' literal object
`KEYWORD_LITERAL` The 'Keyword' literal object
`OCL_ANY_LITERAL` The 'Ocl Any' literal object
`OCL_MESSAGE_LITERAL` The 'Ocl Message' literal object
`OCL_VOID_LITERAL` The 'Ocl Void' literal object
`REAL_LITERAL` The 'Real' literal object
`SELF_LITERAL` The 'Self' literal object
`STRING_LITERAL` The 'String' literal object
`UNLIMITED_NATURAL_LITERAL` The 'Unlimited Natural' literal object

Field Summary
`static int` `BOOLEAN` The 'Boolean' literal value
`static int` `IDENTIFIER` The 'Identifier' literal value
`static int` `INTEGER` The 'Integer' literal value
`static int` `INVALID` The 'Invalid' literal value
`static int` `KEYWORD` The 'Keyword' literal value
`static int` `OCL_ANY` The 'Ocl Any' literal value
`static int` `OCL_MESSAGE` The 'Ocl Message' literal value
`static int` `OCL_VOID` The 'Ocl Void' literal value
`static int` `REAL` The 'Real' literal value
`static int` `SELF` The 'Self' literal value
`static int` `STRING` The 'String' literal value
`static int` `UNLIMITED_NATURAL` The 'Unlimited Natural' literal value
`static List<SimpleTypeEnum>` `VALUES` A public read-only list of all the 'Simple Type Enum' enumerators

Method Summary
`static SimpleTypeEnum` `get(int value)` Returns the 'Simple Type Enum' literal with the specified integer value
`static SimpleTypeEnum` `get(String literal)` Returns the 'Simple Type Enum' literal with the specified literal value
`static SimpleTypeEnum` `getByName(String name)` Returns the 'Simple Type Enum' literal with the specified name
`String` `getLiteral()`
`String` `getName()`
`int` `getValue()`
`String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static SimpleTypeEnum` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SimpleTypeEnum[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IDENTIFIER_LITERAL

    public static final SimpleTypeEnum IDENTIFIER_LITERAL

  The 'Identifier' literal object.

  See Also:
    `IDENTIFIER`

### SELF_LITERAL

    public static final SimpleTypeEnum SELF_LITERAL

  The 'Self' literal object.

  See Also:
    `SELF`

### INTEGER_LITERAL

    public static final SimpleTypeEnum INTEGER_LITERAL

  The 'Integer' literal object.

  See Also:
    `INTEGER`

### STRING_LITERAL

    public static final SimpleTypeEnum STRING_LITERAL

  The 'String' literal object.

  See Also:
    `STRING`

### REAL_LITERAL

    public static final SimpleTypeEnum REAL_LITERAL

  The 'Real' literal object.

  See Also:
    `REAL`

### BOOLEAN_LITERAL

    public static final SimpleTypeEnum BOOLEAN_LITERAL

  The 'Boolean' literal object.

  See Also:
    `BOOLEAN`

### OCL_ANY_LITERAL

    public static final SimpleTypeEnum OCL_ANY_LITERAL

  The 'Ocl Any' literal object.

  See Also:
    `OCL_ANY`

### OCL_VOID_LITERAL

    public static final SimpleTypeEnum OCL_VOID_LITERAL

  The 'Ocl Void' literal object.

  See Also:
    `OCL_VOID`

### INVALID_LITERAL

    public static final SimpleTypeEnum INVALID_LITERAL

  The 'Invalid' literal object.

  See Also:
    `INVALID`

### OCL_MESSAGE_LITERAL

    public static final SimpleTypeEnum OCL_MESSAGE_LITERAL

  The 'Ocl Message' literal object.

  See Also:
    `OCL_MESSAGE`

### KEYWORD_LITERAL

    public static final SimpleTypeEnum KEYWORD_LITERAL

  The 'Keyword' literal object.

  See Also:
    `KEYWORD`

### UNLIMITED_NATURAL_LITERAL

    public static final SimpleTypeEnum UNLIMITED_NATURAL_LITERAL

  The 'Unlimited Natural' literal object.

  See Also:
    `UNLIMITED_NATURAL`

Field Detail

### IDENTIFIER

    public static final int IDENTIFIER

  The 'Identifier' literal value.

  If the meaning of 'Identifier' literal object isn't clear, there really should be more of a description here...

  See Also:
    `IDENTIFIER_LITERAL`, Constant Field Values

### SELF

    public static final int SELF

  The 'Self' literal value.

  If the meaning of 'Self' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SELF_LITERAL`, Constant Field Values

### INTEGER

    public static final int INTEGER

  The 'Integer' literal value.

  If the meaning of 'Integer' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INTEGER_LITERAL`, Constant Field Values

### STRING

    public static final int STRING

  The 'String' literal value.

  If the meaning of 'String' literal object isn't clear, there really should be more of a description here...

  See Also:
    `STRING_LITERAL`, Constant Field Values

### REAL

    public static final int REAL

  The 'Real' literal value.

  If the meaning of 'Real' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REAL_LITERAL`, Constant Field Values

### BOOLEAN

    public static final int BOOLEAN

  The 'Boolean' literal value.

  If the meaning of 'Boolean' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BOOLEAN_LITERAL`, Constant Field Values

### OCL_ANY

    public static final int OCL_ANY

  The 'Ocl Any' literal value.

  If the meaning of 'Ocl Any' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OCL_ANY_LITERAL`, Constant Field Values

### OCL_VOID

    public static final int OCL_VOID

  The 'Ocl Void' literal value.

  If the meaning of 'Ocl Void' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OCL_VOID_LITERAL`, Constant Field Values

### INVALID

    public static final int INVALID

  The 'Invalid' literal value.

  If the meaning of 'Invalid' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INVALID_LITERAL`, Constant Field Values

### OCL_MESSAGE

    public static final int OCL_MESSAGE

  The 'Ocl Message' literal value.

  If the meaning of 'Ocl Message' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OCL_MESSAGE_LITERAL`, Constant Field Values

### KEYWORD

    public static final int KEYWORD

  The 'Keyword' literal value.

  If the meaning of 'Keyword' literal object isn't clear, there really should be more of a description here...

  See Also:
    `KEYWORD_LITERAL`, Constant Field Values

### UNLIMITED_NATURAL

    public static final int UNLIMITED_NATURAL

  The 'Unlimited Natural' literal value.

  If the meaning of 'Unlimited Natural' literal object isn't clear, there really should be more of a description here...

  See Also:
    `UNLIMITED_NATURAL_LITERAL`, Constant Field Values

### VALUES

    public static final List<SimpleTypeEnum> VALUES

  A public read-only list of all the 'Simple Type Enum' enumerators.

Method Detail

### values

    public static final SimpleTypeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SimpleTypeEnum c : SimpleTypeEnum.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SimpleTypeEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static SimpleTypeEnum get(String literal)

  Returns the 'Simple Type Enum' literal with the specified literal value.

### getByName

    public static SimpleTypeEnum getByName(String name)

  Returns the 'Simple Type Enum' literal with the specified name.

### get

    public static SimpleTypeEnum get(int value)

  Returns the 'Simple Type Enum' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Enumerator`

### getLiteral

    public String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

### toString

    public String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `Enum<SimpleTypeEnum>`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.